org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering

## Class StreamingClusteringTask

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.ProcessTask
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.clustering.StreamingClusteringTask

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.tasks.Task

      public class StreamingClusteringTask
      extends ProcessTask

  A task that runs and evaluates a distributed clustering algorithm.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `numberOfClusters`
    `Queue<org.apache.samoa.moa.cluster.Clustering>` | `samoaClusters`

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.ProcessTask

      `batchDelayOption, builder, cepEvents, dumpFileOption, evaluationNameOption, evaluatorOption, inputStream, instanceLimitOption, learner, learnerOption, sampleFrequencyOption, samplingThresholdOption, source, sourceDelayOption, sourcePiOutputStream, streamTrainOption, topology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClusteringTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()`
    `void` | `setNumberOfClusters(int numberOfClusters)`
    `void` | `setSamoaClusters(Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters)`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.ProcessTask

      `getDefaultPerformanceEvaluatorForLearner, getTopology, isLearnerAndEvaluatorCompatible, setCepEvents, setFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### samoaClusters

          public Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters

    - #### numberOfClusters

          public int numberOfClusters

  - ### Constructor Detail

    - #### StreamingClusteringTask

          public StreamingClusteringTask()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `org.apache.samoa.tasks.Task`
      Specified by:
        `init` in class `ProcessTask`

    - #### setSamoaClusters

          public void setSamoaClusters(Queue<org.apache.samoa.moa.cluster.Clustering> samoaClusters)

    - #### setNumberOfClusters

          public void setNumberOfClusters(int numberOfClusters)

Copyright © 2017 WSO2. All rights reserved.